#include <bits/stdc++.h>
using namespace std;

vector<int> getVisionPattern1d() {
    return vector<int>{1, 2, 3, 1};
}
int getMove1d(vector<int> v) {
    if (v.size() == 3) {
        for (int i = 0; i < (int) v.size(); ++i) {
            if (v[i] != 1) {
                return i;
            }
        }
    } else if (v.size() == 5) {
        for (int i = 0; i < (int) v.size(); ++i) {
            if (v[i] == 3) {
                return i;
            }
        }
    } else {
        if (v[4] == 1) {
            return 6;
        } else {
            return 0;
        }
    }
}


std::vector<std::vector<int>> getVisionPattern2d() {}
std::pair<int, int> getMove2d(std::vector<std::vector<int>> v) {}
